=== modified file '__init__.py'
--- __init__.py	2005-10-17 16:49:32 +0000
+++ __init__.py	2005-10-17 19:06:12 +0000
@@ -7,11 +7,12 @@
 import shelf
 import sys
 import os.path
+from bzrlib.option import Option
 sys.path.append(os.path.dirname(__file__))
 
-bzrlib.commands.OPTIONS['ignored'] = None
-bzrlib.commands.OPTIONS['detrius'] = None
-bzrlib.commands.OPTIONS['dry-run'] = None
+Option.OPTIONS['ignored'] = Option('ignored')
+Option.OPTIONS['detrius'] = Option('detrius')
+Option.OPTIONS['dry-run'] = Option('dry-run')
 
 class cmd_clean_tree(bzrlib.commands.Command):
     """Remove unwanted files from working tree.
@@ -28,10 +29,10 @@
         from clean_tree import clean_tree
         clean_tree('.', ignored=ignored, detrius=detrius, dry_run=dry_run)
 
-bzrlib.commands.OPTIONS['no-collapse'] = None
-bzrlib.commands.OPTIONS['no-antialias'] = None
-bzrlib.commands.OPTIONS['cluster'] = None
-bzrlib.commands.OPTIONS['merge-branch'] = str
+Option.OPTIONS['no-collapse'] = Option('no-collapse')
+Option.OPTIONS['no-antialias'] = Option('no-antialias')
+Option.OPTIONS['cluster'] = Option('cluster')
+Option.OPTIONS['merge-branch'] = Option('merge-branch',type=str)
 
 class cmd_graph_ancestry(bzrlib.commands.Command):
     """Produce ancestry graphs using dot.

=== modified file 'push.py'
--- push.py	2005-09-23 03:08:27 +0000
+++ push.py	2005-10-17 19:06:12 +0000
@@ -14,12 +14,13 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 from bzrlib.branch import Branch
-from bzrlib.commands import Command, OPTIONS
+from bzrlib.commands import Command
+from bzrlib.option import Option
 import sys
 import os
 import bzrtools 
 
-OPTIONS['overwrite'] = None
+Option.OPTIONS['overwrite'] = Option('overwrite')
 
 class cmd_push(Command):
     """Upload this branch to another location using rsync.

